subroutine trgraf_gname_get(gname)

  !  return next graph name:  G_1, G_2, G_3, ...

  implicit NONE
  character*(*), intent(out) :: gname

  integer :: iref

  call get_namerefs_str('G',iref,gname)

end subroutine trgraf_gname_get

subroutine trgraf_tname_get(tname)

  !  return next table name:  T_1, T_2, T_3, ...

  implicit NONE
  character*(*), intent(out) :: tname

  integer :: iref

  call get_namerefs_str('T',iref,tname)

end subroutine trgraf_tname_get

subroutine trgraf_dname_get(dname)

  !  return next dataset name:  D_1, D_2, D_3, ...
  !  (may actually be used as prefix rather than full name)

  implicit NONE
  character*(*), intent(out) :: dname

  integer :: iref

  call get_namerefs_str('D',iref,dname)

end subroutine trgraf_dname_get

subroutine trgraf_cname_get(cname)

  !  return next data column name:  C_1, C_2, C_3, ...
  !  (for table of columns)
  !  (may actually be used as prefix rather than full name)

  implicit NONE
  character*(*), intent(out) :: cname

  integer :: iref

  call get_namerefs_str('C',iref,cname)

end subroutine trgraf_cname_get

subroutine trgraf_sname_clear

  !  clear short name for graph

  use trgraf_wname_save
  implicit NONE

  sname_str = ' '

end subroutine trgraf_sname_clear

subroutine trgraf_sname_set(str)

  !  set short name for graph

  use trgraf_wname_save
  implicit NONE

  character*(*), intent(in) :: str

  integer :: jlen

  sname_str = str
  call namerefs_cln(sname_str,jlen)

end subroutine trgraf_sname_set

subroutine trgraf_sname_get(str)

  !  get short name for graph

  use trgraf_wname_save
  implicit NONE

  character*(*), intent(out) :: str

  str = sname_str

end subroutine trgraf_sname_get
